Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Interface ValueManager

All Known Implementing Classes:
  AbstractValueManager

public interface ValueManager

This interface is implemented by objects which manage the values associated with a property.

Method Summary
`Value` | `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Computes the given value.
`Value` | `createFloatValue(short unitType, float floatValue)` Creates and returns a new float value.
`Value` | `createStringValue(short type, java.lang.String value, CSSEngine engine)` Creates and returns a new string value.
`Value` | `createValue(LexicalUnit lu, CSSEngine engine)` Creates a value from a lexical unit.
`Value` | `getDefaultValue()` Returns the default value for the handled property.
`java.lang.String` | `getPropertyName()` Returns the name of the property handled.
`boolean` | `isInheritedProperty()` Whether the handled property is inherited or not.

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the name of the property handled.

### isInheritedProperty

    public boolean isInheritedProperty()

  Whether the handled property is inherited or not.

### getDefaultValue

    public Value getDefaultValue()

  Returns the default value for the handled property.

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Creates a value from a lexical unit.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### createFloatValue

    public Value createFloatValue(short unitType,
                                  float floatValue)
                           throws org.w3c.dom.DOMException

  Creates and returns a new float value.

  Parameters:
    `unitType` - A unit code as defined above. The unit code can only be a float unit type
    `floatValue` - The new float value.
  Throws:
    `org.w3c.dom.DOMException`

### createStringValue

    public Value createStringValue(short type,
                                   java.lang.String value,
                                   CSSEngine engine)
                            throws org.w3c.dom.DOMException

  Creates and returns a new string value.

  Parameters:
    `type` - A string code as defined in CSSPrimitiveValue. The string code can only be a string unit type.
    `value` - The new string value.
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Computes the given value.

  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.